ECHO(1)

BEZEICHNUNG
echo - Eine Zeile Text anzeigen

ÜBERSICHT
echo [KURZOPTION]… [ZEICHENKETTE]…
echo LANGOPTION

BESCHREIBUNG

Gibt den/die ZEICHENKETTE(n) auf der Standardausgabe aus.

-n  Keinen abschließenden Zeilenumbruch ausgeben

-e  Interpretierung von Maskierungen mittels Rückschrägstrich aktivieren

-E  Interpretierung von Maskierungen mittels Rückschrägstrich deaktivieren(Standard)

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Falls -e in Kraft ist, werden die folgenden Sequenzen erkannt:

\\  Rückschrägstrich (»backslash«)

\a  Alarm (BEL)

\b  Rückschritt (»backspace«)

\c  Keine weitere Ausgabe erzeugen

\e  Maskieren

\f  Seitenvorschub

\n  Zeilenumbruch

\r  Wagenrücklauf

\t  Horizontaler Tabulator

\v  Vertikaler Tabulator

\0NNN
    Byte mit dem Oktalwert NNN (1 bis 3 Ziffern)

\xHH
    Byte mit dem Hexadezimalwert HH (1 bis 2 Ziffern)

HINWEIS: Ihre Shell hat eventuell eine eigene Version von echo, die üblicherweise die hier beschriebene Version ersetzt. Bitte lesen Sie die Dokumentation Ihrer Shell für Details über die Optionen, die sie unterstützt.

HINWEIS: printf(1) ist die bevorzugte Alternative, weil es keine Probleme mit der Ausgabe optionsähnlicher Zeichenketten hat.

AUTOR
Geschrieben von Brian Fox und Chet Ramey.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
printf(1)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/echo>
oder lokal verfügbar mit: info '(coreutils) echo invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).